al_draw_tinted_bitmap(3)

NAME

al_draw_tinted_bitmap - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_draw_tinted_bitmap(ALLEGRO_BITMAP *bitmap, ALLEGRO_COLOR tint,
       float dx, float dy, int flags)

DESCRIPTION

Like al_draw_bitmap(3) but multiplies all colors in the bitmap with the given color. For example:

    al_draw_tinted_bitmap(bitmap, al_map_rgba_f(0.5, 0.5, 0.5, 0.5), x, y, 0);

The above will draw the bitmap 50% transparently (r/g/b values need to be pre-multiplied with the alpha component with the default blend mode).

    al_draw_tinted_bitmap(bitmap, al_map_rgba_f(1, 0, 0, 1), x, y, 0);

The above will only draw the red component of the bitmap.

See al_draw_bitmap(3) for a note on restrictions on which bitmaps can be drawn where.

SEE ALSO

al_draw_bitmap(3)